LinuxQuestions.org
Did you know LQ has a Linux Hardware Compatibility List?
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware
User Name
Password
Slackware This Forum is for the discussion of Slackware Linux.

Notices

Reply
 
Search this Thread
Old 08-06-2013, 07:22 AM   #1
WhiteWolf1776
Member
 
Registered: Oct 2010
Location: Pittsburgh, PA
Distribution: Slackware
Posts: 223

Rep: Reputation: 52
New nVidia drivers 325.15 support 3.10 kernel


And, like it was planned, -current moves to 3.10 series and nVidia releases a new driver 325.15

ftp://download.nvidia.com/XFree86/Li...x86-325.15.run
MD5SUM="528fc538584de6446384b9cec3099d6c"

ftp://download.nvidia.com/XFree86/Li..._64-325.15.run
MD5SUM_x86_64="323c3ef74f607aef63d602c7f297ce86"

If you are running bumblebee, I expect the official / unofficial repo maintained by jgeboski to be updated shortly. If you are impatient and running -current, I keep a repo that has everything you need ready to go:

https://github.com/WhiteWolf1776/Bumblebee-SlackBuilds

I am running this on an Asus N56 laptop right now. All working smooth and sweet.
 
Old 08-06-2013, 07:29 AM   #2
GazL
Senior Member
 
Registered: May 2008
Posts: 3,392

Rep: Reputation: 917Reputation: 917Reputation: 917Reputation: 917Reputation: 917Reputation: 917Reputation: 917Reputation: 917
I put them on top of a 3.10.5 box yesterday. 'glxgears' process seems to hang (actually it goes 100%cpu busy) when its window is deleted, but other than that I've not experienced any issues with anything else.

Last edited by GazL; 08-06-2013 at 07:46 AM.
 
Old 08-06-2013, 12:42 PM   #3
W4LK
LQ Newbie
 
Registered: Mar 2004
Location: South Carolina, USA
Distribution: Slackware Current
Posts: 13

Rep: Reputation: 0
Same problem here. I upgraded to today's -current with the new 3.10.5 kernel and tried to re-install Nvidia driver 319.32 that I had been using, but it failed to install. I had to upgrade Nvidia to 325.15 to get X working.
 
Old 08-06-2013, 12:45 PM   #4
WhiteWolf1776
Member
 
Registered: Oct 2010
Location: Pittsburgh, PA
Distribution: Slackware
Posts: 223

Original Poster
Rep: Reputation: 52
Quote:
Originally Posted by W4LK View Post
Same problem here. I upgraded to today's -current with the new 3.10.5 kernel and tried to re-install Nvidia driver 319.32 that I had been using, but it failed to install. I had to upgrade Nvidia to 325.15 to get X working.
hehe, that's not a problem, that's "Expected Behavior"... Today's driver is the first to support the new 3.10 kernels.
 
Old 08-06-2013, 03:31 PM   #5
TommyC7
Member
 
Registered: Mar 2012
Distribution: Slackware, CentOS, OpenBSD, FreeBSD
Posts: 437

Rep: Reputation: Disabled
Quote:
W4LK:
Same problem here. I upgraded to today's -current with the new 3.10.5 kernel and tried to re-install Nvidia driver 319.32 that I had been using, but it failed to install. I had to upgrade Nvidia to 325.15 to get X working.
You need this patch:
http://pastebin.com/JDpkR3kt
If you want 319.32 to build with the 3.10.* kernel series.
 
Old 08-07-2013, 03:34 AM   #6
abstradelic
LQ Newbie
 
Registered: Aug 2012
Posts: 15

Rep: Reputation: Disabled
New nVidia drivers 325.15 support 3.10 kernel

Installing now for tests, thanks

Last edited by abstradelic; 08-07-2013 at 03:55 AM.
 
Old 08-08-2013, 08:20 AM   #7
abstradelic
LQ Newbie
 
Registered: Aug 2012
Posts: 15

Rep: Reputation: Disabled
New nVidia drivers 325.15 support 3.10 kernel

problems loading proprietary module.
 
Old 08-08-2013, 08:29 AM   #8
WhiteWolf1776
Member
 
Registered: Oct 2010
Location: Pittsburgh, PA
Distribution: Slackware
Posts: 223

Original Poster
Rep: Reputation: 52
Quote:
Originally Posted by abstradelic View Post
problems loading proprietary module.
Can you give any details? What version of the nvidia drivers are you trying to use? What kernel? Stock or did you build it yourself? How did you install it?

So far this has not given me any issues.... yet..
 
Old 08-08-2013, 06:27 PM   #9
abstradelic
LQ Newbie
 
Registered: Aug 2012
Posts: 15

Rep: Reputation: Disabled
New nVidia drivers 325.15 support 3.10 kernel

using 325.15, I used your git builds with a small diference: I used libbsd-0.6.0.
 
Old 08-08-2013, 06:33 PM   #10
WhiteWolf1776
Member
 
Registered: Oct 2010
Location: Pittsburgh, PA
Distribution: Slackware
Posts: 223

Original Poster
Rep: Reputation: 52
when you do:

primusrun glxgears

what output do you get?

and maybe... did the nouevau blacklist get bumped out? slackpkg for me tried to re-install the xf86-nouveau package which overwrote my blacklist package... I'm mostly guessing here as I need some error output to help.
 
Old 08-08-2013, 06:35 PM   #11
abstradelic
LQ Newbie
 
Registered: Aug 2012
Posts: 15

Rep: Reputation: Disabled
New nVidia drivers 325.15 support 3.10 kernel

in nvidia-kernel compilling time appear a error: Kernel configuration is invalid. invlude/generated/autoconf.h or include/config/auto.conf are missing. Run 'make oldconfig && make prepare' on kernel src to fix it.

I tryed to fix runing but nothing sucessfull. Im using generic current kernel at this moment. Nouveau blacklisted too

Last edited by abstradelic; 08-08-2013 at 06:37 PM.
 
Old 08-08-2013, 06:37 PM   #12
WhiteWolf1776
Member
 
Registered: Oct 2010
Location: Pittsburgh, PA
Distribution: Slackware
Posts: 223

Original Poster
Rep: Reputation: 52
ok, I get that, and have for some time... but it is just a warning... the kernel module continues to build for me... does your build fail there?
 
Old 08-08-2013, 07:02 PM   #13
abstradelic
LQ Newbie
 
Registered: Aug 2012
Posts: 15

Rep: Reputation: Disabled
New nVidia drivers 325.15 support 3.10 kernel

nops... its end normally.
 
Old 08-08-2013, 07:15 PM   #14
WhiteWolf1776
Member
 
Registered: Oct 2010
Location: Pittsburgh, PA
Distribution: Slackware
Posts: 223

Original Poster
Rep: Reputation: 52
hmm... then the only diff is I use the huge kernel. I don't see how that would mess you up, but maybe try a switch and see.

The only other thought I have is, if this still isn't working for you... remove all the bbsb packages.. and rebuild / reinstall each in order again.

For this upgrade, all I had to do was rebuild the two nvidia packages and the bbswitch... and it all worked.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
cdc_acm drivers support in kernel 2.4X. prasadix Linux - Networking 0 03-23-2006 03:17 AM
Nvidia drivers and kernel? Shady195 Linux - Newbie 11 10-22-2005 04:30 AM
nvidia drivers and kernel 2.6.1 mikejedw Linux - Hardware 20 03-02-2004 08:23 AM
Kernel 2.6.3 + nVidia drivers wiBo Linux - General 2 02-26-2004 03:35 PM
Kernel and NVidia Drivers AceTech747 Linux - Software 3 02-03-2004 02:10 AM


All times are GMT -5. The time now is 07:20 AM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration